PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
CPUSS_Type Struct Reference

## Description

SYSCPUSS registers (CPUSS)

## Data Fields
__IM uint32_t | IDENTITY
__IM uint32_t | RESERVED [3]
__IM uint32_t | PRODUCT_ID
__IM uint32_t | RESERVED1 [3]
__IM uint32_t | DP_STATUS
__IM uint32_t | RESERVED2 [3]
__IOM uint32_t | BUFF_CTL
__IM uint32_t | RESERVED3 [3]
__IOM uint32_t | CAL_SUP_SET
__IOM uint32_t | CAL_SUP_CLR
__IM uint32_t | RESERVED4 [2]
__IOM uint32_t | INFRA_CTL
__IM uint32_t | RESERVED5 [43]
__IOM uint32_t | SYSTICK_S_CTL
__IM uint32_t | RESERVED6 [7]
__IOM uint32_t | SYSTICK_NS_CTL
__IM uint32_t | RESERVED7 [55]
__IOM uint32_t | INTR_MSC
__IM uint32_t | RESERVED8
__IOM uint32_t | INTR_MASK_MSC
__IM uint32_t | INTR_MASKED_MSC
__IM uint32_t | RESERVED9 [892]
__IOM uint32_t | AP_CTL
__IM uint32_t | RESERVED10 [1024]
__IOM uint32_t | PROTECTION

## Field Documentation

## ◆ IDENTITY

__IM uint32_t CPUSS_Type::IDENTITY

0x00000000 Identity

## ◆ RESERVED

__IM uint32_t CPUSS_Type::RESERVED[3]

## ◆ PRODUCT_ID

__IM uint32_t CPUSS_Type::PRODUCT_ID

0x00000010 Product identifier and version (same as CoreSight RomTables)

## ◆ RESERVED1

__IM uint32_t CPUSS_Type::RESERVED1[3]

## ◆ DP_STATUS

__IM uint32_t CPUSS_Type::DP_STATUS

0x00000020 Debug port status

## ◆ RESERVED2

__IM uint32_t CPUSS_Type::RESERVED2[3]

## ◆ BUFF_CTL

__IOM uint32_t CPUSS_Type::BUFF_CTL

0x00000030 Buffer control

## ◆ RESERVED3

__IM uint32_t CPUSS_Type::RESERVED3[3]

## ◆ CAL_SUP_SET

__IOM uint32_t CPUSS_Type::CAL_SUP_SET

0x00000040 Calibration support set and read

## ◆ CAL_SUP_CLR

__IOM uint32_t CPUSS_Type::CAL_SUP_CLR

0x00000044 Calibration support clear and reset

## ◆ RESERVED4

__IM uint32_t CPUSS_Type::RESERVED4[2]

## ◆ INFRA_CTL

__IOM uint32_t CPUSS_Type::INFRA_CTL

0x00000050 Infrastructure Control

## ◆ RESERVED5

__IM uint32_t CPUSS_Type::RESERVED5[43]

## ◆ SYSTICK_S_CTL

__IOM uint32_t CPUSS_Type::SYSTICK_S_CTL

0x00000100 Secure SysTick timer control

## ◆ RESERVED6

__IM uint32_t CPUSS_Type::RESERVED6[7]

## ◆ SYSTICK_NS_CTL

__IOM uint32_t CPUSS_Type::SYSTICK_NS_CTL

0x00000120 Non Secure SysTick timer control

## ◆ RESERVED7

__IM uint32_t CPUSS_Type::RESERVED7[55]

## ◆ INTR_MSC

__IOM uint32_t CPUSS_Type::INTR_MSC

0x00000200 Master security controller Interrupt

## ◆ RESERVED8

__IM uint32_t CPUSS_Type::RESERVED8

## ◆ INTR_MASK_MSC

__IOM uint32_t CPUSS_Type::INTR_MASK_MSC

0x00000208 Master security controller Interrupt mask

## ◆ INTR_MASKED_MSC

__IM uint32_t CPUSS_Type::INTR_MASKED_MSC

0x0000020C Master security controller Interrupt masked

## ◆ RESERVED9

__IM uint32_t CPUSS_Type::RESERVED9[892]

## ◆ AP_CTL

__IOM uint32_t CPUSS_Type::AP_CTL

0x00001000 Access port control

## ◆ RESERVED10

__IM uint32_t CPUSS_Type::RESERVED10[1024]

## ◆ PROTECTION

__IOM uint32_t CPUSS_Type::PROTECTION

0x00002004 Protection status